package chapter5;

import java.time.LocalDate;

public class Example21 {
    public static void main(String[] args) {
        LocalDate now = LocalDate.now();
        LocalDate of = LocalDate.of(2015, 12, 12);

        System.out.println("今年是" + now.getYear() + "年");
        System.out.println("月份：" + now.getMonth());
        System.out.println("月份：" + now.getMonthValue());
        System.out.println("日期：" + now.getDayOfMonth());
        System.out.println("今年中的第几天：" + now.getDayOfYear());
        System.out.println("周几：" + now.getDayOfWeek());

        System.out.println("\n====判断相关的方法====");

        System.out.println("of是否在now之前？" + of.isBefore(now));
        System.out.println("of是否在now之后？" + of.isAfter(now));
        System.out.println("of和now是否相等？" + of.isEqual(now));
        System.out.println("of是否闰年？" + of.isLeapYear());

        System.out.println("\n====解析和加减操作====");

        String dateStr = "2020-02-12";
        LocalDate date = LocalDate.parse(dateStr);
        System.out.println("把字符串转换为日期对象：" + date);
        System.out.println("年份加1:" + date.plusYears(1));
        System.out.println("天数减5:" + date.minusDays(5));
        System.out.println("指定年份为2024：" + date.withYear(2024));
    }
}
